
CREATE TABLE tmp (a INTEGER, b VARCHAR(16));

INSERT INTO tmp VALUES (10,'hi');
INSERT INTO tmp VALUES (20,'there');
INSERT INTO tmp VALUES (30,null);

SELECT * FROM tmp ORDER BY a,b;

UPDATE tmp SET b='THERE' WHERE a=20;

SELECT * FROM tmp ORDER BY a,b;

UPDATE tmp SET a=null;

SELECT * FROM tmp ORDER BY a,b;

DROP TABLE tmp;
